Bug 821243 - [rhevm-config] - RFE - Allow setting key value with Hours or Days
[rhevm-config] - RFE - Allow setting key value with Hours or Days
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-config (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Doron Fediuck
yeylon@redhat.com
infra
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-13 09:33 EDT by David Botzer
Modified: 2016-04-18 02:55 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-09 16:25:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Botzer 2012-05-13 09:33:07 EDT
Description of problem:
Running the command rhevm-config -s VdsRefreshRate=2
sets the value to 2 seconds

I would like to set it accordingly for hours or days in a user-friendly interface
e.x 
rhevm-config -s VdsRefreshRate=1H
Should set the value to 3600 seconds

Version-Release number of selected component (if applicable):
rhevm 3.1 / SI3

How reproducible:
Always

Steps to Reproduce:
1.run the command rhevm-config -s with a specific key
Whereas the default is in seconds, unless a H or D is added after the value

Actual results:
The admin must enter value in seconds

Expected results:
The admin should be able to add value with H for Hours, or D for Days,
And its calculated to seconds, or displayed else than seconds
e.x if its 3600sec it should display 2H
    if its 86,400 it should display 2D

Additional info:
For all Keys, Chars, Sec etc...
Comment 1 Itamar Heim 2013-01-09 16:25:48 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.